concurrent_queue.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "internal/_concurrent_queue_impl.h"`
`#include "internal/_allocator_traits.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for concurrent_queue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::strict_ppl::concurrent_queue< T, A >
| A high-performance thread-safe non-blocking concurrent queue. More...
class | tbb::concurrent_bounded_queue< T, A >
| A high-performance thread-safe blocking concurrent bounded queue. More...
class | tbb::concurrent_bounded_queue< T, A >::destroyer
| Class used to ensure exception-safety of method "pop". More...

## Namespaces

| tbb
| The graph class.
| tbb::strict_ppl
| For internal use only.

## Macros

#define | __TBB_concurrent_queue_H_include_area

## Macro Definition Documentation

## __TBB_concurrent_queue_H_include_area

#define __TBB_concurrent_queue_H_include_area

Definition at line 20 of file concurrent_queue.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.